com.gisgraphy.servlet

## Class GeolocServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - com.gisgraphy.servlet.GisgraphyServlet
      - - com.gisgraphy.servlet.GeolocServlet

- All Implemented Interfaces:
    Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

      public class GeolocServlet
      extends com.gisgraphy.servlet.GisgraphyServlet

  Provides a servlet Wrapper around The Gisgraphy geoloc Service, it Maps web parameters to create a GeolocQuery
  Author:
    David Masclet
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.slf4j.Logger` | `logger` The logger

    - ### Fields inherited from class com.gisgraphy.servlet.GisgraphyServlet

      `APIKEY_PARAMETER, DEBUG_MODE_PARAMETER_NAME, debugMode, FORMAT_PARAMETER, FROM_PARAMETER, INDENT_PARAMETER, TO_PARAMETER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeolocServlet()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doGet(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp)`
    `com.gisgraphy.serializer.common.IoutputFormatVisitor` | `getErrorVisitor(String errorMessage)`
    `com.gisgraphy.domain.valueobject.GisgraphyServiceType` | `getGisgraphyServiceType()`
    `void` | `init()`
    `void` | `setGeolocSearchEngine(com.gisgraphy.geocoloc.IGeolocSearchEngine geolocSearchEngine)`

    - ### Methods inherited from class com.gisgraphy.servlet.GisgraphyServlet

      `doDelete, doHead, doOptions, doPost, doPut, doTrace, isDebugMode, sendCustomError, setDebugMode, setResponseContentType`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final org.slf4j.Logger logger

      The logger

  - ### Constructor Detail

    - #### GeolocServlet

          public GeolocServlet()

  - ### Method Detail

    - #### init

          public void init()
                    throws javax.servlet.ServletException

      Overrides:
        `init` in class `com.gisgraphy.servlet.GisgraphyServlet`
      Throws:
        `javax.servlet.ServletException`

    - #### doGet

          protected void doGet(javax.servlet.http.HttpServletRequest req,
                   javax.servlet.http.HttpServletResponse resp)
                        throws javax.servlet.ServletException,
                               IOException

      Overrides:
        `doGet` in class `javax.servlet.http.HttpServlet`
      Throws:
        `javax.servlet.ServletException`
        `IOException`

    - #### setGeolocSearchEngine

          public void setGeolocSearchEngine(com.gisgraphy.geocoloc.IGeolocSearchEngine geolocSearchEngine)

      Parameters:
        `geolocSearchEngine` - the geolocSearchEngine to set

    - #### getGisgraphyServiceType

          public com.gisgraphy.domain.valueobject.GisgraphyServiceType getGisgraphyServiceType()

      Specified by:
        `getGisgraphyServiceType` in class `com.gisgraphy.servlet.GisgraphyServlet`

    - #### getErrorVisitor

          public com.gisgraphy.serializer.common.IoutputFormatVisitor getErrorVisitor(String errorMessage)

      Specified by:
        `getErrorVisitor` in class `com.gisgraphy.servlet.GisgraphyServlet`

Copyright © 2015. All rights reserved.